Paper format with Score extension in Wikipedia is A4 only
Closed, ResolvedPublic8 Story Points

Description

Hello, we experienced, that score with the raw=1 tag, gave bad results with broader line lenghts. i.e. we tried to give specific line breaks here:
https://de.wikipedia.org/w/index.php?title=Benutzer:Reiner_Stoppok/Tanzlied_aus_Poniky&oldid=163890384

(I used the \new Voice with s2 * 6 \break etc. but 7 bars in a line were impossible, it broke to 4 and 3)

We discussed it here

https://www.mediawiki.org/wiki/Topic:Tna2ictzst767i6i

and found the limiting issue being:

ok, so it looks like the Score extension adds "-dsafe=#t" which tells lilypond to disable some stuff -- like paper sizes.

In our case it limited # (set-paper-size = "a3 'landscape") or a4landscape, too, and # (set-default-paper-size = "a3 'landscape") which worked fine with frescobaldi and at the console.

Reducing the output works, but not expanding it over the size which is the paper issue.

We decided to request a paper choice feature, or a jail for the whole extension. Especially landscape format would be desireable and some number of pages (Four at least? For one Page partitura. We had no discussion yet.). Or A3 or "ansi d". Or even longer lines.

Even one needs the raw=1 if he uses definition in score like
melody = { a b c}

Cheers from a Newbie

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2017, 9:03 AM
MarkAHershberger removed Roomsixhu as the assignee of this task.Mar 30 2017, 5:30 AM

@Aklapper do you know who is charged with the Score extension?

MarkAHershberger renamed this task from Paper format with Score lilpond extension in Wikipedia, defaults to A4 only, and has no choice, lines are short. to Paper format with Score extension in Wikipedia is A4 only,.Mar 30 2017, 2:38 PM

Thanks!

Per that list, I've added the VE tag. It specifically mentions Alexander Klauer, but I don't know his phabricator id.

Jdforrester-WMF triaged this task as Low priority.Mar 30 2017, 3:10 PM
Jdforrester-WMF set the point value for this task to 8.
Roomsixhu added a comment.EditedMar 30 2017, 10:10 PM

I wrote to GrafZahl (=Count/Duke Number aka Alexander Klauer). Low, how sad!

Alexander Klauer = Graf Zahl wrote, he cannot help. He develloped it a long time ago with many others.

Roomsixhu added a comment.EditedApr 4 2017, 8:11 PM

https://github.com/wikimedia/mediawiki-extensions-Score/graphs/contributors

shows translatewiki as main editor? Latest changes by edg2s, at github.
Doctorlard = Jonathan Harker contributes too at github. I have no account there.

Roomsixhu added a comment.EditedMay 14 2017, 1:39 AM

Here is a tweak we found, but it seems insufficient, as it shows other results, that are not intended.
\overrideProperty Score.NonMusicalPaperColumn.line-break-system-details

#'((X-offset . 0))

out of the "break" voice:

umbruch = \new Voice {\time 2/4i

s2 * 6 \noBreak \break
s2 * 6 \noBreak \break

\overrideProperty Score.NonMusicalPaperColumn.line-break-system-details

    #'((X-offset . 0))
  s2 * 7 \noBreak \break
  s2 * 6 \noBreak \break
}

together with

\score {

\layout {
  \context {
    \Score
    \override NonMusicalPaperColumn.line-break-permission = ##f
    %\override NonMusicalPaperColumn.page-break-permission = ##f
  }

.....

Reedy renamed this task from Paper format with Score extension in Wikipedia is A4 only, to Paper format with Score extension in Wikipedia is A4 only.Aug 5 2017, 1:51 AM
Ebe123 claimed this task.Aug 5 2017, 4:30 AM

Change 370306 had a related patch set uploaded (by Ebe123; owner: Ebe123):
[mediawiki/extensions/Score@master] Run lilypond from inside firejail

https://gerrit.wikimedia.org/r/370306

Change 370306 merged by jenkins-bot:
[mediawiki/extensions/Score@master] Add option to use -dsafe argument in Lilypond command

https://gerrit.wikimedia.org/r/370306

Ebe123 closed this task as Resolved.Sep 13 2017, 11:27 PM

Fixed with safe mode turned off.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 13 2017, 11:27 PM